=== debian/changelog ===
recap (1.4.0-2) unstable; urgency=medium

  * [34e1c3f] Update Debian control fields
  * [078b6fd] Update to debhelper 11 and bump debian compat to version 11
  * [456c12a] Update debian/copyright
  * [8f4ffce] Ignore quilt .pc directory
  * [074ffeb] Add patch to fix version string variable
  * [d45505f] Add patch: recap.5 should be recap.conf.5.
    Thanks to @jamrok for the patch provided
  * [1aa9699] Wrap long lines and sort items in Debian packaging files.
  * [d69ab0e] Bump Debian Standards-Version to 4.3.0 (no further changes)
  * Repackage for Debian/unstable (Closes: #918603)

 -- Darshaka Pathirana <dpat@syn-net.org>  Wed, 09 Jan 2019 18:22:59 +0100

recap (1.4.0-1) unstable; urgency=medium

  * Release 1.4.0

 -- Rackspace Debian Packaging Team <deb-pkg-maint@lists.rackspace.com>  Thu, 19 Jul 2018 17:02:23 -0500

recap (1.3.0-1) unstable; urgency=medium

  * Bumping to version 1.3.0

 -- Rackspace Debian Packaging Team <deb-pkg-maint@lists.rackspace.com>  Mon, 29 Jan 2018 18:46:45 +0000

recap (1.2.0-1) unstable; urgency=medium

  * Bumping to version 1.2.0

 -- Tony Garcia <tony.garcia@rackspace.com>  Thu, 09 Nov 2017 15:30:27 +0000

recap (1.0.0-1) unstable; urgency=medium

  * Bumping to version 1.0.0

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Thu, 03 Aug 2017 16:07:07 +0000

recap (0.9.14-1) unstable; urgency=medium

  * Bumping to latest version

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Tue, 13 Sep 2016 19:41:13 +0000

recap (0.9.11-1) UNRELEASED; urgency=medium

  * Test Build of latest tag

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Thu, 03 Mar 2016 22:45:18 +0000

recap (0.9.8-1) unstable; urgency=low

  * Initial release.

 -- Andreas "Jimmy" Gredler <andreas.gredler@rackspace.com>  Tue, 11 Aug 2015 11:28:20 +0200
