=== debian/control ===
Source: recap
Section: misc
Priority: optional
Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders:
 Michael Prokop <mika@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-exec,
Standards-Version: 4.3.0
Homepage: https://github.com/rackerlabs/recap
Vcs-Git: https://github.com/jkirk/recap.git
Vcs-Browser: https://github.com/jkirk/recap.git

Package: recap
Architecture: all
Depends:
 gawk,
 iotop,
 iproute2,
 links,
 procps,
 sysstat,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generates reports of various information about the server
 This program is intended to be used as a companion for the reporting provided
 by sysstat. It will create a set of reports summarizing hardware resource
 utilization. The script also provides optional reporting on a web server,
 MySQL and network connections.
