=== debian/changelog ===
recap (2.1.0-1) unstable; urgency=medium

  [ Tony Garcia ]
  * [de55f35] New upstream version 2.1.0
  * [6f89c08] Override lintian warning: script-not-executable

  [ Darshaka Pathirana ]
  * [57c84a3] New upstream version 2.1.0
  * [7917ca0] Update changelog for release 2.1.0-1
  * [c25463b] Bump Debian Standards-Version to 4.5.1 (no further changes)
  * [333f8f0] Remove unneeded Build-Depends dh-exec
  * [16631d4] Update debian/copyright
  * [4a83b90] Updated Vcs-* fields to point to salsa.debian.org
  * [3e05270] Update changelog to include NMU version 2.0.2-1.1

 -- Darshaka Pathirana <dpat@syn-net.org>  Fri, 05 Feb 2021 11:10:47 +0100

recap (2.0.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:11:16 +0100
