=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Michael Prokop <mika@debian.org>,
 Build-Depends:
  debhelper (>= 11~),
- dh-exec,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rackerlabs/recap
-Vcs-Git: https://github.com/jkirk/recap.git
-Vcs-Browser: https://github.com/jkirk/recap.git
+Vcs-Git: https://salsa.debian.org/debian/recap.git
+Vcs-Browser: https://salsa.debian.org/debian/recap
 
 Package: recap
 Architecture: all
