=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
PREFIX = /usr
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# overrides
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md -k upstream

override_dh_auto_install:
	$(MAKE) PREFIX=/usr install-base install-man install-doc install-cron \
		DESTDIR=$(CURDIR)/debian/recap AM_UPDATE_INFO_DIR=no
	rm $(CURDIR)/debian/recap/usr/share/doc/recap/COPYING
