=== debian/watch ===
version=4
https://github.com/rackerlabs/recap/releases /rackerlabs/recap/archive/(.+)\.tar\.gz
